Update
Request address
POST
https://sandbox.j-pay.net/pay/merchant/update
Test account
Merchant ID:10010
ApiKey: 7e4nicn14nhyup146dfbi8hpnpus9juz
Request headers
| Header Name | Header Value |
|---|---|
| Agent-Merchant-Id | 10010 |
Request parameters
| Parameter Name | Type | Required | Sign(Y OR N) | Parameter Description |
|---|---|---|---|---|
| memberid | String | Y | Y | Merchant ID |
| company | Array | Y | N | Information about the company or business. |
| business_profile | Array | N | N | Business information about the account. |
| documents | Array | N | N | Documents that may be submitted to satisfy various informational requests. |
| bank | Array | N | N | Bank account information. |
| persons | Array | N | N | Person information. |
| sign | String | Y | N | Please see the verification signature field format |
Company
| Parameter Name | Type | Required | Sign(Y OR N) | Parameter Description |
|---|---|---|---|---|
| name | String | Y | N | Company name. |
| tax_id | String | N | N | The business ID number of the company, as appropriate for the company’s country. |
| phone | String | N | N | The company’s phone number. |
| state | String | N | N | State, county, province, or region(ISO 3166-2) |
| city | String | N | N | City. |
| line1 | String | N | N | Address line 1. |
| line2 | String | N | N | Address line 2. |
| postal_code | String | N | N | ZIP or postal code. |
Business Profile
| Parameter Name | Type | Required | Sign(Y OR N) | Parameter Description |
|---|---|---|---|---|
| mcc | String | Y | N | The merchant category code for the account. MCCs are used to classify businesses based on the goods or services they provide. |
| url | String | Y | N | The business’s publicly available website. such as google.com |
Documents
File ID collection, Upload files
| Parameter Name | Type | Required | Sign(Y OR N) | Parameter Description |
|---|---|---|---|---|
| company_registration | Array | Y | N | One or more documents that demonstrate proof of a company’s registration with the appropriate local authorities. |
| company_address | Array | Y | N | One or more documents that demonstrate proof of address. |
| company_moa | Array | Y | N | One or more documents showing the company’s Memorandum of Association. |
| bank_proof | Array | Y | N | One or more documents showing the company’s bank proof. |
Bank Account
| Parameter Name | Type | Required | Sign(Y OR N) | Parameter Description |
|---|---|---|---|---|
| id | String | N | N | Bank account ID |
| type | Enum | N | N | Type of bank account: china: CNY only other: Including Hong Kong, Macao and Taiwan |
| bank_name | String | N | N | Bank name |
| account | String | N | N | Account number(Do not add a licensed receiving account) |
| subbranch | String | N | N | Sub-Branch name |
| address | String | N | N | Bank address |
| swift_code | String | N | N | SWIFT code, required for other bank accounts. |
| remark | String | N | N | Remark |
Persons
| Parameter Name | Type | Required | Sign(Y OR N) | Parameter Description |
|---|---|---|---|---|
| person_id | String | N | N | Person ID |
| id_number | String | N | N | Identity number of the person. |
| first_name | String | N | N | First name of the person. |
| last_name | String | N | N | Last name of the person. |
| birthday | String | N | N | Date of birth of the person. |
| phone | String | N | N | Phone number of the person. |
| percent_ownership | String | N | N | Percentage of ownership of the company. |
| cert_issue_date | String | N | N | Date when the person’s identity document was issued. |
| cert_expire_date | String | N | N | Date when the person’s identity document expires. |
| address | Array | N | N | Address of the person. Please see the address format |
| title | String | N | N | Title of the person. Such as CEO. |
| document | Array | N | N | Documents that may be submitted to satisfy various informational requests. Please see the document format |
Response Parameters
| Parameter Name | Type | Parameter Description |
|---|---|---|
| code | String | Status of the request 1:Successful 0:Fail |
| info | String | Message of the request |
| data | Array | Response data |
| data.id | Integer | Merchant ID |
| data.bank_id | String | Bank account ID |
| data.person_ids | Array | Person ID List |
Demo
- Javascript
- Php
- Python
import { md5 } from "js-md5";
import axios from "axios";
const KEY = "7e4nicn14nhyup146dfbi8hpnpus9juz";
const MEMBER_ID = "10010";
let query = {
memberid: '10304',
};
let signData = [];
Object.keys(query)
.sort()
.forEach((key) => signData.push(`${key}=${query[key]}`));
signData.push(`key=${KEY}`);
Object.assign(query, {
sign: md5(signData.join("&")).toUpperCase(),
company: {
name: Date.now().valueOf(),
phone: "1234567890",
tax_id: "000000000",
city: "San Francisco",
state: "CA",
line1: "123 Main St",
postal_code: "94102",
},
business_profile: {
mcc: "7372",
url: "nimiya.shop"
},
documents: {
company_registration: [1,2,3],
company_address: [3],
company_moa: [3],
bank_proof: [3],
},
});
axios
.request({
url: "https://sandbox.j-pay.net/pay/merchant/update",
method: "post",
headers: {
"Agent-Merchant-Id": MEMBER_ID,
"Content-Type": "application/x-www-form-urlencoded",
},
data: query,
})
.then(({ data }) => {
console.log("success", data);
})
.catch((error) => {
console.log("error", error);
});
Continuously updating...
Continuously updating...